Skip to content

deployment_cloud_sql_instance_backup

Take an on-demand backup of the managed Postgres (Cloud SQL) instance.

Tool

deployment_cloud_sql_instance_backup

Take an on-demand backup of the managed Postgres (Cloud SQL) instance.

Take an on-demand backup of the managed Postgres (Cloud SQL) instance.

Behavior

HTTP
POST /deployment/cloud-sql/instances/:instanceId/backups

Arguments

Name
Type
Required
Description
instanceId
string
•
No description in the catalog.

Response

Field
Type
Always
Description
id
string
•
name
string
•
tier
string
•
label
string
•
region
string
•
status
string
•
createdAt
string
•
pgVersion
string
•
privateIp
string
•
productId
string
•
updatedAt
string
•
pitrEnabled
boolean
•
backupsEnabled
boolean
•
connectionName
string
•
lastErrorMessage
string
•
backupConfigObservedAt
string
•

Try it

Take an on-demand backup of the managed Postgres (Cloud SQL) instance.

When to use

Take an on-demand backup of the managed Postgres (Cloud SQL) instance.

Example

Ask your agent something like this:

Take an on-demand backup of the managed Postgres (Cloud SQL) instance.

The agent will invoke deployment_cloud_sql_instance_backup with these arguments:

{
  "instanceId": "<instanceId>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select